_Eo_Class_Description Struct Reference

Data Fields
_Eo_Class_Description Struct Reference
Eo » Eo Class

This struct holds the description of a class. More...

## Data Fields
unsigned int | version
| The current version of eo, use EO_VERSION.
const char * | name
| The name of the class. More...
Eo_Class_Type | type
| The type of the class. More...
struct {
const Eo_Op_Description * descs
| The op descriptions array of size count. More...
size_t count
| Number of op descriptions. More...
} | ops
| The ops description, should be filled using #EO_CLASS_DESCRIPTION_OPS (later sorted by Eo). More...
const Eo_Event_Description ** | events
| The event descriptions for this class. More...
size_t | data_size
| The size of data (private + protected + public) this class needs per object. More...
void(* | class_constructor )(Eo_Class *klass)
| The constructor of the class. More...
void(* | class_destructor )(Eo_Class *klass)
| The destructor of the class. More...

## Detailed Description

This struct holds the description of a class.

This description should be passed to eo_class_new. Please use the #EO_CLASS_DESCRIPTION_OPS macro when populating it.

## Field Documentation

## ◆ name

const char* _Eo_Class_Description::name

The name of the class.

Referenced by eo_class_name_get().

## ◆ type

Eo_Class_Type _Eo_Class_Description::type

The type of the class.

## ◆ descs

const Eo_Op_Description* _Eo_Class_Description::descs

The op descriptions array of size count.

## ◆ count

size_t _Eo_Class_Description::count

Number of op descriptions.

Referenced by eo_class_name_get().

## ◆ ops

struct { ... } _Eo_Class_Description::ops

The ops description, should be filled using #EO_CLASS_DESCRIPTION_OPS (later sorted by Eo).

Referenced by eo_class_name_get().

## ◆ events

const Eo_Event_Description** _Eo_Class_Description::events

The event descriptions for this class.

## ◆ data_size

size_t _Eo_Class_Description::data_size

The size of data (private + protected + public) this class needs per object.

## ◆ class_constructor

void(* _Eo_Class_Description::class_constructor) (Eo_Class *klass)

The constructor of the class.

## ◆ class_destructor

void(* _Eo_Class_Description::class_destructor) (Eo_Class *klass)

The destructor of the class.